#ifndef MMIOMP3_H
#define MMIOMP3_H

#define INCL_OS2MM
#define INCL_MMIOOS2
#include <os2.h>
#include <os2me.h>
#include <vorbis/vorbisenc.h>

#define FOURCC_Vorbis mmioFOURCC('O', 'G', 'G', 'S')
#define OGG_COOKIE 0xF335039A

typedef struct _OggHeader {
int cookie;
long bitrate;
long streams;
} OggHeader;

typedef struct _OggStreamHeader {
long serialnumber;
ogg_int64_t raw_total;
ogg_int64_t pcm_total;
double time_total;
} OggStreamHeader;

LONG APIENTRY IOProc_Entry(PVOID pmmioStr, USHORT usMsg, LONG lParam1,
                     LONG lParam2);

#endif
